#!/bin/sh

TAG=farman
VERSION=2010-spring
VV=2010.1

./bcd.pl dual.xml all copy noiso nodoble
./bcd.pl dual64.xml all copy noiso nodoble

rm -vf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-i586/i586/install/images/boot.iso
rm -rvf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-i586/i586/install/images/alternatives
rm -vf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-x86_64/x86_64/install/images/boot.iso
rm -vrf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-x86_64/x86_64/install/images/alternatives

sync

du -sh $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-i586/i586
du -sh $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-x86_64/x86_64

rm -rf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION
rm -rvf $HOME/build_bcd/iso/mandriva-linux-free-dual-$VERSION
mkdir -p $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION
mkdir -p $HOME/build_bcd/iso/mandriva-linux-free-dual-$VERSION

cp -af $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-i586/i586 $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION
cp -af $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-x86_64/x86_64 $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION

cp -af /mnt/pieces/pieces/$VV/i586/dosutils $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/
cp -af /mnt/pieces/pieces/$VV/i586/autorun.inf $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/

cd $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/x86_64/media/main

for i in *noarch.rpm
do
	if [ -f "../../../i586/media/main/$i" ];then
		echo $i
		echo "erase package $i"
		rm -vf $i
		echo "link with the i586 one"
		ln -sf ../../../i586/media/main/$i .
	else
		echo "no ../../../i586/media/main/$i package"
	fi
done

cat >> $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/i586/isolinux/isolinux.cfg <<EOF
label harddisk64
  localboot 0x80
label linux64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=788 splash=silent
label vgalo64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=785
label vgahi64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=791
label text64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom text
label rescue64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom rescue
label noacpi64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=788 splash=silent acpi=off
label hdt64
  kernel /x86_64/isolinux/hdt.c32
  append modules=modules.pci
label alt064
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz vga=788 splash=silent
label alt164
  kernel /x86_64/isolinux/alt1/vmlinuz
  append initrd=/x86_64/isolinux/alt1/all.rdz vga=788 splash=silent
label memtest64
  kernel memtest
EOF

#cp -avf $HOME/bcd/compssUsers.pl $HOME/build_bcd/build/mandriva-linux-free-dual-$TAG-$VERSION/i586/media/media_info/compssUsers.pl
#cp -avf $HOME/bcd/compssUsers.pl $HOME/build_bcd/build/mandriva-linux-free-dual-$TAG-$VERSION/x86_64/media/media_info/compssUsers.pl
cat $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-i586/i586/pkg-$VERSION-$TAG.idx >>  \
 $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.idx
cat $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION-x86_64/x86_64/pkg-$VERSION-$TAG.idx >>  \
 $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.idx


genisoimage -f -r -J -hide-rr-moved -nobak -cache-inodes -no-emul-boot -boot-load-size 4  \
	-A 'Mandriva Linux - 2010 Spring (Free)' \
	-publisher 'Mandriva' \
	-sysid 'Mandriva Linux' \
	-p 'Mandriva-Linux BCD' \
	-volset 'Mandriva Linux - 2010 Spring (Free) - DUAL CD' \
	-V 'FREE-2010S-DUAL' \
	-o '/home/plop/build_bcd/iso/mandriva-linux-free-dual-2010-spring/mandriva-linux-free-2010-spring-dual.iso' \
	-b i586/isolinux/isolinux.bin \
	-boot-info-table \
	-quiet \
	$HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/

du -sh $HOME/build_bcd/iso/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.iso
echo "$HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.idx"
cd $HOME/build_bcd/iso/mandriva-linux-free-dual-$VERSION/
isohybrid -fatfirst $HOME/build_bcd/iso/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.iso
cp $HOME/build_bcd/build/mandriva-linux-free-dual-$VERSION/mandriva-linux-free-$VERSION-dual.idx .
md5sum mandriva-linux-free-$VERSION-dual.iso > mandriva-linux-free-$VERSION-dual.iso.md5
sha1sum mandriva-linux-free-$VERSION-dual.iso > mandriva-linux-free-$VERSION-dual.iso.sha1
